<?php
session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
require('../../_lib/vrdocu0.php');
require('php_gene1.php');
include('php_session.php');
//if($empr_codigo=='gnya'){die('<resultado><error>Error en Gnya</error></resultado>');}

$idnum  = $_POST['idnum'];
$docu  = $_POST['docu'];
$ptoe  = $_POST['ptoe'];
$numero= $_POST['numero'];
$caja  = $_POST['caja'];
$ctab  = $_POST['ctab'];
$bcos  = $_POST['bcos'];
$bode  = $_POST['bode'];
$ptov  = $_POST['ptov'];
$zsub  = $_POST['zsub'];
$ptoem = $_POST['ptoem'];
$enti  = $_POST['enti'];

if($idnum==''){die();}

$ptoe=str_pad($ptoe,6,"0",STR_PAD_LEFT);
$ptoem=str_pad($ptoem,6,"0",STR_PAD_LEFT);
$docu=trim($docu);

$sql_docu='select docu_tabla from docu0 where docu_codigo="'.$docu.'"';
$res_docu=mysql_query($sql_docu,$link_vcrx);
$tabla=strtolower(mysql_result($res_docu,0,'docu_tabla'));
if($tabla==''){die('<resultado><error>Error en TABLA.</error></resultado>');}


if (mb_stristr('vtas.clie',$tabla))
{
	$ptoe='';
	$sql_ptov='select ptov_ptoe  from ptov0 where ptov_codigo="'.$ptov.'"';
	$res_ptov=mysql_query($sql_ptov,$link_vcrx);
	$ptoe=mysql_result($res_ptov,0,'ptov_ptoe');
	if($ptoe==''){die('<resultado><error>Error en PTOV</error></resultado>');}
}

if (mb_stristr('inve',$tabla))
{
	$ptoe='';
	$sql_bode='select bode_ptoe from bode0 where bode_codigo="'.$bode.'"';
	$res_bode=mysql_query($sql_bode,$link_vcrx);
	$ptoe=mysql_result($res_bode,0,'bode_ptoe');
	if($ptoe==''){die('<resultado><error>Error en BODE</error></resultado>');}
}

if (mb_stristr('caja.cjte',$tabla))
{
	$ptoe='';
	$sql_caja='select caja_ptoe from caja0 where caja_codigo="'.$caja.'"';
	$res_caja=mysql_query($sql_caja,$link_vcrx);
	$ptoe=mysql_result($res_caja,0,'caja_ptoe');
	if($ptoe==''){die('<resultado><error>Error en CAJA</error></resultado>');}
}

if (mb_stristr('cont',$tabla))
{
	$sql_cont='select sum(cant) as diferencia from cont2 where idnum2="'.$idnum.'"';
	$res_cont=mysql_query($sql_cont,$link_vcrx);
	$difer=mysql_result($res_cont,0,'diferencia');
	if($difer!=0){die('<resultado><error>Error Diario DESCUADRADO</error></resultado>');}
}




$tabla1=$tabla.'1';

$sql_tabla='update '.$tabla1.' set stfin="1"  ';
$sql_tabla.='where idnum1  ="'.$idnum.'" ';

if(mysql_query($sql_tabla,$link_vcrx))
{
  $sql_tabla='update '.$tabla1.' set fdate=now(), fuser="'.$user_codigo.'"';
  $sql_tabla.='where idnum1  ="'.$idnum.'" ';
  mysql_query($sql_tabla,$link_vcrx);

  $sql_tabla='update '.$tabla1.' set claveacc=null where ';
  $sql_tabla.='where idnum1  ="'.$idnum.'" ';
  mysql_query($sql_tabla,$link_vcrx);
    
  gen_claveacc($docu,$idnum);
 
?>
	<resultado><error>0</error></resultado>
<?php
}

else
{
?>
	<resultado><error>Error en Finalizacion</error></resultado>
<?php	
}

?>
